org.apache.uima.jcas.cas

## Class NonEmptyIntegerList_Type

- java.lang.Object
- - org.apache.uima.jcas.cas.TOP_Type
  - - org.apache.uima.jcas.cas.IntegerList_Type
    - - org.apache.uima.jcas.cas.NonEmptyIntegerList_Type

-     public class NonEmptyIntegerList_Type
      extends IntegerList_Type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `featOkTst`
    `static int` | `typeIndexID`

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP_Type

      `casImpl, casType, casTypeCode, instanceOf_Type, jcas, ll_cas, lowLevelArrayBoundChecks, lowLevelTypeChecks, useExistingInstance`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NonEmptyIntegerList_Type()`
    `` | `NonEmptyIntegerList_Type(JCas jcas, Type casType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.uima.cas.impl.FSGenerator<?>` | `getFSGenerator()`
    `int` | `getHead(int addr)`
    `int` | `getTail(int addr)`
    `void` | `setHead(int addr, int v)`
    `void` | `setTail(int addr, int v)`

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP_Type

      `addToIndexes, checkType, getTypeIndexID, invalidTypeArg, noObjCreate, removeFromIndexes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### typeIndexID

          public static final int typeIndexID

    - #### featOkTst

          public static final boolean featOkTst

  - ### Constructor Detail

    - #### NonEmptyIntegerList_Type

          public NonEmptyIntegerList_Type(JCas jcas,
                                          Type casType)

    - #### NonEmptyIntegerList_Type

          protected NonEmptyIntegerList_Type()

  - ### Method Detail

    - #### getFSGenerator

          protected org.apache.uima.cas.impl.FSGenerator<?> getFSGenerator()

      Overrides:
        `getFSGenerator` in class `IntegerList_Type`

    - #### getHead

          public int getHead(int addr)

    - #### setHead

          public void setHead(int addr,
                              int v)

    - #### getTail

          public int getTail(int addr)

    - #### setTail

          public void setTail(int addr,
                              int v)

Copyright © 2006–2017 The Apache Software Foundation. All rights reserved.